aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.VerifyDomainDkim

Synopsis

- data VerifyDomainDkim = VerifyDomainDkim Text
- data VerifyDomainDkimResponse = VerifyDomainDkimResponse [Text]

# Documentation

data VerifyDomainDkim #

Verify ownership of a domain.

Constructors

VerifyDomainDkim Text |

#### Instances

Instances details

SignQuery VerifyDomainDkim # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type ServiceConfiguration VerifyDomainDkim |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ServiceConfiguration VerifyDomainDkim = SesConfiguration

Methods

signQuery :: VerifyDomainDkim -> ServiceConfiguration VerifyDomainDkim queryType -> SignatureData -> SignedQuery #

Show VerifyDomainDkim # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim Methods showsPrec :: Int -> VerifyDomainDkim -> ShowS # show :: VerifyDomainDkim -> String # showList :: [VerifyDomainDkim] -> ShowS #
Eq VerifyDomainDkim # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim Methods (==) :: VerifyDomainDkim -> VerifyDomainDkim -> Bool # (/=) :: VerifyDomainDkim -> VerifyDomainDkim -> Bool #
Ord VerifyDomainDkim # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Methods

compare :: VerifyDomainDkim -> VerifyDomainDkim -> Ordering #

(<) :: VerifyDomainDkim -> VerifyDomainDkim -> Bool #

(<=) :: VerifyDomainDkim -> VerifyDomainDkim -> Bool #

(>) :: VerifyDomainDkim -> VerifyDomainDkim -> Bool #

(>=) :: VerifyDomainDkim -> VerifyDomainDkim -> Bool #

max :: VerifyDomainDkim -> VerifyDomainDkim -> VerifyDomainDkim #

min :: VerifyDomainDkim -> VerifyDomainDkim -> VerifyDomainDkim #

ResponseConsumer VerifyDomainDkim VerifyDomainDkimResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type ResponseMetadata VerifyDomainDkimResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ResponseMetadata VerifyDomainDkimResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyDomainDkim -> IORef (ResponseMetadata VerifyDomainDkimResponse) -> HTTPResponseConsumer VerifyDomainDkimResponse #

Transaction VerifyDomainDkim VerifyDomainDkimResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim
type ServiceConfiguration VerifyDomainDkim # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ServiceConfiguration VerifyDomainDkim = SesConfiguration

data VerifyDomainDkimResponse #

The response sent back by Amazon SES after a `VerifyDomainDkim` command.

Constructors

VerifyDomainDkimResponse [Text] |

#### Instances

Instances details

AsMemoryResponse VerifyDomainDkimResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type MemoryResponse VerifyDomainDkimResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type MemoryResponse VerifyDomainDkimResponse = VerifyDomainDkimResponse

Methods

loadToMemory :: VerifyDomainDkimResponse -> ResourceT IO (MemoryResponse VerifyDomainDkimResponse) #

Show VerifyDomainDkimResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim Methods showsPrec :: Int -> VerifyDomainDkimResponse -> ShowS # show :: VerifyDomainDkimResponse -> String # showList :: [VerifyDomainDkimResponse] -> ShowS #
Eq VerifyDomainDkimResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim Methods (==) :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Bool # (/=) :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Bool #
Ord VerifyDomainDkimResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Methods

compare :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Ordering #

(<) :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Bool #

(<=) :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Bool #

(>) :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Bool #

(>=) :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> Bool #

max :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> VerifyDomainDkimResponse #

min :: VerifyDomainDkimResponse -> VerifyDomainDkimResponse -> VerifyDomainDkimResponse #

ResponseConsumer VerifyDomainDkim VerifyDomainDkimResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type ResponseMetadata VerifyDomainDkimResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ResponseMetadata VerifyDomainDkimResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyDomainDkim -> IORef (ResponseMetadata VerifyDomainDkimResponse) -> HTTPResponseConsumer VerifyDomainDkimResponse #

Transaction VerifyDomainDkim VerifyDomainDkimResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim
type MemoryResponse VerifyDomainDkimResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type MemoryResponse VerifyDomainDkimResponse = VerifyDomainDkimResponse
type ResponseMetadata VerifyDomainDkimResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ResponseMetadata VerifyDomainDkimResponse = SesMetadata